sCnf75 not all devices have control objects
09/20/2024 07:04 AM - Richard Schimmel

Status: Resolved Due date: 10/29/2024
Priority: Normal

Assignee: Richard Schimmel

Category:

Target version:

Discuss in Upcoming No Updated Test

Meeting: Document:

Clause Reference: Test Case ID: sCnf75
61850 Standard: Closed Reason: --Not Set---
Triggering Tissue: Triggering Tissue 2:

Final Decision: Triggering Tissue 3:

Initial Test

Document:

Description

Change to conditional with condition:

Condition: when Operate is supported (PICS)

History

#1 - 10/01/2024 08:29 AM - IEC 61850 TPWG
- Due date set to 10/29/2024

- Assignee set to Richard Schimmel

Disagree to make this conditional. Test as written appears to be correct.

Adding " only {status-only} object will pass the test" would clarify the test case.

#2 - 11/11/2024 09:53 AM - Richard Schimmel

Solution (changes in bold):

Verify for each (instance of) DOType/DA[name=ctiIModel] whose associated EnumType contains direct-with-normal-security has in the DOType a DA
named “Oper”. If ctiModel has valKind=RO and vallmport=missing/false then use the configured ctiModel value instead of EnumType.

Similar for sbo-with-normal-security, Oper, Cancel and SBO

Similar for direct-with-enhanced-security, Oper

Similar for sbo-with-enhanced-security, Oper, Cancel and SBOw

ctiModel=status-only has no requirements on Oper

#3 - 11/12/2024 08:08 AM - IEC 61850 TPWG

- Status changed from New to Resolved

Accepted.
